import pylab

filename_list=["IV_2e19_SK.nc","IV_2e19_MGGA.nc"]

line_type=["*b-","+r-"]
label=["Slater-Koster","MGGA(c=1.04649764642)"]

fig_name = "IV_compare.png"

for index,filename_IV in enumerate(filename_list):
    iv_curve=nlread(filename_IV,IVCurve)[-1]
    transmission_spectrum_list = iv_curve.transmissionSpectra()
    n = len(transmission_spectrum_list)

    # Make list of relevant gate voltages.
    voltage_list_neg = numpy.zeros(n/2)
    voltage_list_pos = numpy.zeros(n/2)
    # Make list to hold the current calculations.
    current_list_neg = numpy.zeros(n/2)
    current_list_pos = numpy.zeros(n/2)

    # Loop through the voltages.
    for i in range(n/2):
        voltage_list_neg[i] = transmission_spectrum_list[i+1].bias().inUnitsOf(Volt)
        current_list_neg[i] = 1.e9*transmission_spectrum_list[i+1].current().inUnitsOf(Ampere)

    for i in range(n/2):
        voltage_list_pos[i] = transmission_spectrum_list[n/2+i+1].bias().inUnitsOf(Volt)
        current_list_pos[i] = 1.e9*transmission_spectrum_list[n/2+i+1].current().inUnitsOf(Ampere)

    pylab.semilogy(voltage_list_neg, abs(current_list_neg), line_type[index], label=label[index])
    pylab.semilogy(voltage_list_pos, current_list_pos, line_type[index], label='')


pylab.xlabel('Bias (V)')
pylab.ylabel('|Current| (nA)')

pylab.xlim([-1.1,1.1])
pylab.grid(True)
pylab.legend(loc=0)


pylab.savefig(fig_name)
pylab.show()
